#include <Keypad.h>

/* CONEXION DEL KEYPAD AL ARDUINO

Tomado el keypad de frente, donde la tecla 1 se ubica en la esquina
superior izquierda, y la tecla, en la esquina inferior derecha,
conectamos el primer cable de la izquierda del keypad, correspondiente
a la fila 1, al pin 13 del Arduino, y los siguientes cables, conectamos
a los pines 12, 11, 10... etc, respectivamente.  Por lo tanto, el primer
cable (F1) va al pin 13, el segundo (F2), al 12 y así sucesivamente

*/

const byte ROWS = 4; //four rows
const byte COLS = 4; //four columns
// matriz de mapeo del teclado, indicado qué caracter genera cada tecla

char keys[ROWS][COLS] = {
  {'1','2','3','A'},
  {'4','5','6','B'},
  {'7','8','9','C'},
  {'.','0','#','D'}
};

//indicamos a qué pines de arduino están conectadas las filas y columnas
byte rowPins[ROWS] = {13, 12, 11, 10}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {8, 7, 6, 5}; //connect to the column pinouts of the keypad

//función constructora del objeto tipo keypad
Keypad teclado = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );

void setup() {
  Serial.begin(9600);

}

void loop() {
  //leemos el teclado
  char tecla = teclado.getKey();

  if (tecla){
    Serial.println(tecla);
  }

}
